Subject: bug#56561: 29.0.50; Infloop in try_window

From: Po Lu <[email-masked]>
Date: Sun, 17 Jul 2022 14:29:28 +0800

Eli Zaretskii <[email-masked]> writes:

> I don't see the problem.  If the default causes only partial display
> (which would really need a HUGE tooltip), then whoever does that
> without adjusting x-max-tooltip-size has only him/herself to blame,
> and I see no problem.
>
> We were talking about the conditions for an assertion.  Assertions are
> for developers, they are compiled to nothing in a production build, so
> such bad code in a production build will show a partial text.  While
> in a development build, we will in such a case see an assertion, which
> will tell us some code needs to be fixed.  Where's the problem?

Because the assertion will cause annoying behavior with big tooltips in
a build with checking.  Big tooltips appear all the time: moving the
mouse over a link to a long enough URL in eww will cause one to be
displayed, for example.